From ad7033eafbe4704291d32d68ed8881c3d13e347f Mon Sep 17 00:00:00 2001
From: Jasmin Dizdarevic <jasmin.dizdarevic@gmail.com>
Date: Thu, 16 Jun 2011 18:41:58 +0200
Subject: [PATCH] Fix validate constraint with PostgreSQL < 9.1 when creating covering index.
 Reported by Timon.

---
 pgadmin/dlg/dlgForeignKey.cpp |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/pgadmin/dlg/dlgForeignKey.cpp b/pgadmin/dlg/dlgForeignKey.cpp
index 5ff6b91..a7f47c2 100644
--- a/pgadmin/dlg/dlgForeignKey.cpp
+++ b/pgadmin/dlg/dlgForeignKey.cpp
@@ -366,7 +366,10 @@ int dlgForeignKey::Go(bool modal)
 		chkDeferred->Disable();
 		chkMatchFull->Disable();
 		chkDontValidate->Enable(connection->BackendMinimumVersion(9, 1));
-
+		if(!connection->BackendMinimumVersion(9, 1)) 
+		{
+			chkDontValidate->SetValue(true);
+		}
 		rbOnUpdate->SetStringSelection(foreignKey->GetOnUpdate());
 		rbOnDelete->SetStringSelection(foreignKey->GetOnDelete());
 		rbOnUpdate->Disable();
-- 
1.7.3.1.msysgit.0
